<p>title: Menampilkan Data Yang Disimpan
description:</p>
<hr />
<p>Kita akan belajar bagaimana cara menampilkan data yang disimpan, data tersebut dapat berupa database mysql ataupun file json. Dikarenakan kita telah belajar menyimpan data dari sebuah form ke dalam file json, kali ini kita akan belajar bagaimana cara menampilkan data tersebut.
Jika kalian tidak memilik data yang berbentuk file jsonya, kalian bisa akses  <a href="http://data.jakarta.go.id/">disini</a></p>
<h2>Praktek</h2>
<ul>
<li>
<p>Pastikan Kamu memiliki koneksi kemudian buat file baru dengan nama tampildata.php ataupun sesuai dengan keinginan anda,</p>
</li>
<li>
<p>Agar lebih menarik tampilanya data pada file json akan ditampilkan dalam bentuk table seperti ini scriptnya.</p>
<pre><code>
&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;head&gt;
&lt;title&gt;Menampilkan data json&lt;/title&gt;
&lt;style&gt;
table {
 width: 100%; 
}
table tr td {
 padding: 1rem;
}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;table border="1"&gt;
&lt;tr&gt;
 &lt;th&gt;No&lt;/th&gt;
 &lt;th&gt;Tahun&lt;/th&gt;
 &lt;th&gt;Jenis Lomba&lt;/th&gt;
 &lt;th&gt;Juara&lt;/th&gt;
 &lt;th&gt;Nama&lt;/th&gt;
 &lt;th&gt;Sekolah&lt;/th&gt;
 &lt;th&gt;ID&lt;/th&gt; 
&lt;/tr&gt;
&lt;?php   
 for($a=0; $a &lt; count($data); $a++)
 {
  print "&lt;tr&gt;";
  // penomeran otomatis
  print "&lt;td&gt;".$a."&lt;/td&gt;";
  // menayangkan 
  print "&lt;td&gt;".$data[$a]['tahun']."&lt;/td&gt;";
  print "&lt;td&gt;".$data[$a]['jenis']."&lt;/td&gt;";
  print "&lt;td&gt;".$data[$a]['juara']."&lt;/td&gt;";
  print "&lt;td&gt;".$data[$a]['nama']."&lt;/td&gt;";
  print "&lt;td&gt;".$data[$a]['sekolah']."&lt;/td&gt;";
  print "&lt;td&gt;".$data[$a]['id']."&lt;/td&gt;";
  print "&lt;/tr&gt;";
 }
?&gt;
&lt;/table&gt;
&lt;/body&gt;
&lt;/html&gt;</code></pre>
</li>
<li>
<p>Setelah file tampildata.php dibuat, disini saya menggunakan data json yang dimiliki oleh data.jakarta.go.id kalian bisa copy pastekan potongan kode ini di script tampildata.php:</p>
<p>Dengan catatan kalian harus memiliki koneksi internet. </p>
<pre><code>&lt;?php  
$sumber = 'http://ppid.jakarta.go.id/json?url=http://data.jakarta.go.id/dataset/06f19910-82c3-428f-9e13-14d848486f69/resource/a7cc5803-9993-427b-a3df-9745a233b38d/download/Lomba-bercerita-anak-TerbaikEdited.csv';//pemanggilan data file json melalui url.
$konten = file_get_contents($sumber); //Membaca file dan kemudian dikonversi menjadi string.
$data = json_decode($konten, true);

//echo $data[1]["nama_lokasi"];
echo "&lt;h1 align='center'&gt;Jumlah lomba anak bercerita terbaik jakarta ada ".count($data)." Siswa dan Siswi&lt;/h1&gt;";
echo "&lt;br/&gt;";
?&gt;</code></pre>
<p>Namun jika kalian tidak memiliki koneksi kalian bisa download terlebih dahulu atau buat data dalam bentuk file jsonya agar dapat berjalan di localhost kalian, setelah potongan kode di atas tadi telah Kamu masukan kedalam script file tampildata.php, kemudian simpan dan akses file tersebut melalui web browser Kamu.</p>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi
yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.   </p>
</li>
</ul>